﻿using System;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.ScheduleView;

namespace SilverlightApplication1
{
	public class ViewModel : ViewModelBase
	{
		public ViewModel()
		{
			var start = DateTime.Today;
			this.Appointments = new ObservableCollection<Appointment>
			{
				new Appointment { Start = start.AddHours(1), End = start.AddHours(2), Subject = "task 1", Resources = { new Resource("one", "number") } },
				new Appointment { Start = start.AddHours(2), End = start.AddHours(3), Subject = "task 2", Resources = { new Resource("two", "number") } },
				new Appointment { Start = start.AddHours(4), End = start.AddHours(5), Subject = "task 3", Resources = { new Resource("three", "number") } },
				new Appointment { Start = start.AddHours(6), End = start.AddHours(7), Subject = "task 4", Resources = { new Resource("four", "number") } },
				new Appointment { Start = start.AddHours(7), End = start.AddHours(8), Subject = "task 5", Resources = { new Resource("two", "number") } },
				new Appointment { Start = start.AddHours(9), End = start.AddHours(11), Subject = "task 6", Resources = { new Resource("three", "number") } },
			};
		}

		public ObservableCollection<Appointment> Appointments { get; private set; }
	}
}