﻿using System.Windows.Controls;
using Telerik.Windows.Controls;

namespace SilverlightApplication1
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
		}

		private void RadNumericUpDown_ValueChanged(object sender, RadRangeBaseValueChangedEventArgs e)
		{
			if (this.Footer == null)
			{
				return;
			}

			var delta = (int)e.NewValue - this.Footer.ColumnDefinitions.Count;
			if (delta > 0)
			{
				while (delta-- > 0)
				{
					this.Footer.ColumnDefinitions.Add(new ColumnDefinition());
				}
			}
			else
			{
				while (delta++ < 0)
				{
					this.Footer.ColumnDefinitions.RemoveAt(0);
				}
			}
		}
	}
}